"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useModal;
var _react = require("react");
var _Context = _interopRequireDefault(require("../../Context"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function useModal(visible, scrollable) {
  const context = (0, _react.useContext)(_Context.default);
  (0, _react.useEffect)(() => {
    if (!visible) {
      return undefined;
    }
    context.scrollbars.hide();
    return () => {
      context.scrollbars.show();
    };
  }, [visible]);
  return (0, _react.useMemo)(() => ({
    scrollable
  }), [scrollable]);
}
//# sourceMappingURL=useModal.js.map